Bug 157583 - Fix port: devel/otrs should use USERS
Summary: Fix port: devel/otrs should use USERS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: skv
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-04 10:20 UTC by Chris Rees
Modified: 2011-07-10 18:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Rees 2011-06-04 10:20:11 UTC
	

	This port uses pkg-install to create new users instead of using USERS= and GROUPS=

Fix: - Use USERS and GROUPS

	Submitted by: Chris Rees (utisoft@gmail.com)




-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.--3Bvef2ftJndKGonTjhEKq6oElEtzMwXaXV7eMsGZ5Yech39q
Content-Type: text/plain; name="devel-otrs.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="devel-otrs.patch"

Index: Makefile
===================================================================
RCS file: /exports/cvsroot-freebsd/ports/devel/otrs/Makefile,v
retrieving revision 1.43
diff -u -r1.43 Makefile
--- Makefile	24 May 2011 11:42:49 -0000	1.43
+++ Makefile	2 Jun 2011 14:22:15 -0000
@@ -53,6 +53,8 @@
 USE_BZIP2=	yes
 
 OTRSDIR=	${PREFIX}/otrs
+USERS=		${PORTNAME}
+GROUPS=		${USERS}
 
 SUB_FILES=	pkg-install pkg-message
 PKGMESSAGE=	${WRKDIR}/pkg-message
@@ -165,7 +167,6 @@
 .endif
 
 do-install:
-	@PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} PRE-INSTALL
 	@${MKDIR} ${ROOT_DIRS_LIST:S!^!${OTRSDIR}/!} ${BIN_DIRS_LIST:S!^!${OTRSDIR}/bin/!} \
 		${SCRIPTS_DIRS_LIST:S!^!${OTRSDIR}/scripts/!}
 	@${INSTALL_DATA} ${WRKSRC}/.*.dist ${OTRSDIR}/
Index: files/pkg-install.in
===================================================================
RCS file: /exports/cvsroot-freebsd/ports/devel/otrs/files/pkg-install.in,v
retrieving revision 1.4
diff -u -r1.4 pkg-install.in
--- files/pkg-install.in	5 Dec 2010 13:39:37 -0000	1.4
+++ files/pkg-install.in	2 Jun 2011 14:21:34 -0000
@@ -7,33 +7,8 @@
 WWWGRP="www"
 OTRS_USER="otrs"
 OTRS_GROUP="otrs"
-OTRS_UID=121
-OTRS_GID=121
 
 case $2 in
-PRE-INSTALL)
-
-	if ! pw groupshow -n ${OTRS_GROUP} >/dev/null 2>&1; then
-		if pw groupadd -n ${OTRS_GROUP} -g ${OTRS_GID}; then
-			echo "Added group \"${OTRS_GROUP}\"."
-		else
-			echo "Adding group \"${OTRS_GROUP}\" failed..."
-			exit 1
-		fi
-	fi	
-
-	if ! id -u ${OTRS_USER} >/dev/null 2>&1; then
-		if pw useradd -n ${OTRS_USER} -g ${OTRS_GROUP} \
-		-u ${OTRS_UID} -G ${WWWGRP} -h - -s /bin/csh \
-		-d ${PKG_PREFIX}/otrs -c "OTRS Administrator" ; then
-			echo "Added user \"${OTRS_USER}\"."
-		else
-			echo "Adding user \"${OTRS_USER}\" failed..."
-			exit 1
-		fi
-	fi
-;;
-
 POST-INSTALL)
 	${PKG_PREFIX}/otrs/bin/otrs.SetPermissions.pl \
 		--web-user=${WWWOWN} --web-group=${WWWGRP} \
Comment 1 Edwin Groothuis freebsd_committer 2011-06-04 10:20:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->skv

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2011-07-10 18:41:13 UTC
crees       2011-07-10 17:40:59 UTC

  FreeBSD ports repository

  Modified files:
    devel/otrs           Makefile 
    devel/otrs/files     pkg-install.in 
  Log:
  Use USERS and GROUPS
  
  PR:             ports/157583
  Submitted by:   crees (me)
  Approved by:    rene (mentor, implicit), maintainer timeout (skv, 35 days)
  
  Revision  Changes    Path
  1.44      +2 -1      ports/devel/otrs/Makefile
  1.5       +1 -26     ports/devel/otrs/files/pkg-install.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Chris Rees freebsd_committer 2011-07-10 18:44:12 UTC
State Changed
From-To: open->closed

Maintainer timed out, committed.